Loading...
Searching...
No Matches
detail::is_constructible_object_type_impl< BasicJsonType, ConstructibleObjectType, enable_if_t< is_detected< mapped_type_t, ConstructibleObjectType >::value &&is_detected< key_type_t, ConstructibleObjectType >::value > > Struct Template Reference
Inheritance diagram for detail::is_constructible_object_type_impl< BasicJsonType, ConstructibleObjectType, enable_if_t< is_detected< mapped_type_t, ConstructibleObjectType >::value &&is_detected< key_type_t, ConstructibleObjectType >::value > >:

## Public Types

using | object_t = typename BasicJsonType::object_t

## Static Public Attributes

static constexpr bool | value

## Member Data Documentation

## value

template<typename BasicJsonType, typename ConstructibleObjectType>

bool detail::is_constructible_object_type_impl< BasicJsonType, ConstructibleObjectType, enable_if_t< is_detected< mapped_type_t, ConstructibleObjectType >::value &&is_detected< key_type_t, ConstructibleObjectType >::value > >::value

staticconstexpr

Initial value:
=
(is_default_constructible<ConstructibleObjectType>::value &&
(std::is_move_assignable<ConstructibleObjectType>::value ||
std::is_copy_assignable<ConstructibleObjectType>::value) &&
(is_constructible<typename ConstructibleObjectType::key_type,
typename object_t::key_type>::value &&
std::is_same <
typename object_t::mapped_type,
typename ConstructibleObjectType::mapped_type >::value)) ||
(has_from_json<BasicJsonType,
typename ConstructibleObjectType::mapped_type>::value ||
has_non_default_from_json <
BasicJsonType,
typename ConstructibleObjectType::mapped_type >::value)
detail::has_from_json
Definition json.hpp:3626
detail::has_non_default_from_json
Definition json.hpp:3649
detail::is_constructible
Definition json.hpp:3797
detail::is_default_constructible
Definition json.hpp:3778

The documentation for this struct was generated from the following file:

- IO/nlohmann/json.hpp